summaryrefslogtreecommitdiffstats
path: root/system/dc3dd
diff options
context:
space:
mode:
author Barry J. Grundy <bgrundyatlinuxleo.com>2010-05-11 22:55:14 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 22:55:14 +0200
commit9cbd58d0a4570085d1563266f22dd4bcf6c3d83f (patch)
treeffe95b8524c7d78ea84ee428d8a7e72a99679dc1 /system/dc3dd
parent99301c1cd6185ab7c2cc8cb4cf4802471f857fb8 (diff)
downloadslackbuilds-9cbd58d0a4570085d1563266f22dd4bcf6c3d83f.tar.gz
slackbuilds-9cbd58d0a4570085d1563266f22dd4bcf6c3d83f.tar.xz
system/dc3dd: Added to 12.1 repository
Diffstat (limited to 'system/dc3dd')
-rw-r--r--system/dc3dd/README3
-rw-r--r--system/dc3dd/dc3dd.SlackBuild93
-rw-r--r--system/dc3dd/dc3dd.info8
-rw-r--r--system/dc3dd/slack-desc19
4 files changed, 123 insertions, 0 deletions
diff --git a/system/dc3dd/README b/system/dc3dd/README
new file mode 100644
index 0000000000..1aaa015d2c
--- /dev/null
+++ b/system/dc3dd/README
@@ -0,0 +1,3 @@
+dc3dd is a patched version of GNU dd to include a number of features
+useful for computer forensics. Many of these features were inspired by
+dcfldd, but were rewritten for dc3dd.
diff --git a/system/dc3dd/dc3dd.SlackBuild b/system/dc3dd/dc3dd.SlackBuild
new file mode 100644
index 0000000000..af0ea4260c
--- /dev/null
+++ b/system/dc3dd/dc3dd.SlackBuild
@@ -0,0 +1,93 @@
+#!/bin/sh
+
+# Slackware build script for dc3dd
+
+# Copyright 2008 Barry J. Grundy <http://www.linuxleo.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=dc3dd
+VERSION=${VERSION:-6.12.1}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e # exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+rm -rf $TMP/$PRGNAM-$VERSION
+cd $TMP
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --with-perl=/usr/bin/perl \
+ --enable-eps \
+ --enable-gif \
+ --enable-png \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+( cd $PKG/usr/man || exit 1
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a ChangeLog INSTALL KNOWN_BUGS NEWS Options_Reference.txt \
+ README* Sample_Commands.txt THANKS-to-translators TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+find $PKG/usr/doc/$PRGNAM-$VERSION -type f -exec chmod 644 {} \;
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/system/dc3dd/dc3dd.info b/system/dc3dd/dc3dd.info
new file mode 100644
index 0000000000..3d50891cc2
--- /dev/null
+++ b/system/dc3dd/dc3dd.info
@@ -0,0 +1,8 @@
+PRGNAM="dc3dd"
+VERSION="6.12.1"
+HOMEPAGE="http://dc3dd.sourceforge.net/"
+DOWNLOAD="http://downloads.sourceforge.net/dc3dd/dc3dd-6.12.1.tar.gz"
+MD5SUM="8cd6970e277184f30e4d725fc15a8f04"
+MAINTAINER="Barry J. Grundy"
+EMAIL="bgrundy<at>linuxleo.com"
+APPROVED="rworkman"
diff --git a/system/dc3dd/slack-desc b/system/dc3dd/slack-desc
new file mode 100644
index 0000000000..1dfd5e0247
--- /dev/null
+++ b/system/dc3dd/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-------------------------------------------------------|
+dc3dd: dc3dd (version of dd designed for computer forensics)
+dc3dd:
+dc3dd: dc3dd is a patched version of GNU dd to include a number of features
+dc3dd: useful for computer forensics. Many of these features were inspired by
+dc3dd: dcfldd, but were rewritten for dc3dd. Added features include robust
+dc3dd: error handling, logging, progress meter, image verification, split
+dc3dd: output and more.
+dc3dd:
+dc3dd: http://dc3dd.sourceforge.net/
+dc3dd:
+dc3dd: